[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: RH 9: creating libphp4.so





Todd Cary wrote:
Until I can get Fedora 4 to install on my computer, I need to go back to RH 9 which means I need to update Apache and PHP. This is not an area in which I have much knowledge, so bear with me:

I downloaded the tarball for Apache 2.0.54 and then configure with

./configure --prefix=/www --enable-module=so

followed by the make and make install

Next I download Php 4.3.11 and do the configure with

./configure --with-interbase=shared,/opt/firebird --with-apxs2=/www/bin/apxs

When I run the make, I get

...
sapi/apache2handler/php_functions.lo main/internal_functions.lo -lcrypt -lcrypt -lresolv -lm -ldl -lnsl
-lcrypt -lcrypt -o libphp4.la
ext/ctype/ctype.lo: file not recognized: File truncated
collect2: ld returned 1 exit status
make: *** [libphp4.la] Error 1


If I do not have the "--with-apxs2=/www/bin/apxs", there are no errors, but I do not get the libphp4.so that I need.

Help for a Newbie!

Maybe better to ask on the redhat newsgroup/mailing list.

Did you check if fedoralegacy.org could provide you with rpm updates?


Todd



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]